import getDb from '../db/index.js';

export async function getRandomRecipe(limit = 5) {
  logger(`随机${limit}个食谱`)
  const data = await getDb();
  const len = data.length;
  logger(len)
  const list = [];
  const indexList = new Set();

  while (indexList.size === limit) {
    const index = Math.floor(Math.random() * len);
    logger(`index: ${index}`)
    if (!indexList.has(index)) {
      indexList.set(index);
      list.push(data[index]);
    }
  }

  logger(list.length)

  return list;
}
